Package ec.simple

# Class SimpleExchanger

java.lang.Object
ec.Exchanger
ec.simple.SimpleExchanger

All Implemented Interfaces:
  `Setup`, `Singleton`, `SteadyStateExchangerForm`, `Serializable`

public final class SimpleExchanger extends Exchanger implements SteadyStateExchangerForm
A SimpleExchanger is a default Exchanger which, well, doesn't do anything. Most applications don't need Exchanger facilities; this simple version will suffice.

The SimpleExchanger implements the SteadyStateExchangerForm, mostly because it does nothing with individuals. For this reason, it is final; implement your own Exchanger if you need to do something more advanced.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleExchanger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `closeContacts(EvolutionState state, int result)`
  Doesn't do anything.
  `void`
  `initializeContacts(EvolutionState state)`
  Doesn't do anything.
  `Population`
  `postBreedingExchangePopulation(EvolutionState state)`
  Simply returns state.population.
  `Population`
  `preBreedingExchangePopulation(EvolutionState state)`
  Simply returns state.population.
  `void`
  `reinitializeContacts(EvolutionState state)`
  Doesn't do anything.
  `String`
  `runComplete(EvolutionState state)`
  Always returns null
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

  ### Methods inherited from class ec.Exchanger

  `process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleExchanger

    public SimpleExchanger()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Setup`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.
    Specified by:
      `setup` in interface `Setup`

  - ### initializeContacts

    public void initializeContacts(EvolutionState state)
    Doesn't do anything.
    Overrides:
      `initializeContacts` in class `Exchanger`

  - ### reinitializeContacts

    public void reinitializeContacts(EvolutionState state)
    Doesn't do anything.
    Overrides:
      `reinitializeContacts` in class `Exchanger`

  - ### preBreedingExchangePopulation

    public Population preBreedingExchangePopulation(EvolutionState state)
    Simply returns state.population.
    Specified by:
      `preBreedingExchangePopulation` in class `Exchanger`

  - ### postBreedingExchangePopulation

    public Population postBreedingExchangePopulation(EvolutionState state)
    Simply returns state.population.
    Specified by:
      `postBreedingExchangePopulation` in class `Exchanger`

  - ### closeContacts

    public void closeContacts(EvolutionState state, int result)
    Doesn't do anything.
    Overrides:
      `closeContacts` in class `Exchanger`

  - ### runComplete

    public String runComplete(EvolutionState state)
    Always returns null
    Specified by:
      `runComplete` in class `Exchanger`